Loading...
Searching...
No Matches
endian.c File Reference

GIS Library - Functions to determine architecture endian. More...

Go to the source code of this file.

## Functions

int | G_is_little_endian (void)
| Tests for little ENDIAN.

## Detailed Description

GIS Library - Functions to determine architecture endian.

This endian test was taken from ./src.contrib/GMSL/NVIZ2.2/TOGL/apps/image.c.

(C) 2001-2009 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Markus Neteler

Definition in file endian.c.

## Function Documentation

## G_is_little_endian()

int G_is_little_endian | ( | void |  | ) |

Tests for little ENDIAN.

Test if machine is little or big endian.

Returns
  1 little endian
  0 big endian

Definition at line 24 of file endian.c.